{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.gaming;
in {
  options.ptw.programs.gaming = {
    enable = lib.mkEnableOption "Configure gaming options";
  };
  config = lib.mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      winePackages.stagingFull winetricks lutris-free-wrapped
    ];
  };
}
